package com.nantian.cloud.jly.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckBasis;
import com.nantian.cloud.jly.entity.EnterpriseHalt;
import com.nantian.cloud.jly.vo.EnterpriseHaltVo;

import java.math.BigInteger;
import java.util.List;

/**
 * 企业停产表
 */
public interface EnterpriseHaltService extends IService<EnterpriseHalt> {


    List<EnterpriseHaltVo> getEnterpriseHalt(String epc);

    List<EnterpriseHalt> getHaltCompany(String statDate, String epcStr);

    List<EnterpriseHaltVo> getHaltByState(String state);

    /**
     * @Author: dengjian
     * @DATE: 2024/3/8 11:20
     * @Description: 获取企业状态
     *
     */
    String getHaltstateByEpc(String epc);

}
